<?php
// minden órában 			- excel feltöltések mennek-e
include("email.php");
require_once("../configuration.php");

$utolsofajl = filemtime("../fizetesek");
print "utolso: " . date("Y-m-d H:i:s", $utolsofajl);
$log = "\n" . date("Y-m-d H:i:s") . "\n\t";

if (time() - (60 * 60) > $utolsofajl) {
	// már egy órája nincs feltöltés

	$conf = new JConfig();
	$email = new CI_Email();
	$email->initialize();
	$email->setFrom($conf->mailfrom, 'CadLine');
	$email->subject('Hiba - Excel fizetesek feltoltes');
	$email->message("Már több mint egy órája nincs feltöltés. Utolsó feltöltés időpontja: " . date("Y-m-d H:i:s", $utolsofajl));
	$email->send('bodnart@cadline.hu', 'smtp');

	$log .= "hiba volt, utolso: " . date("Y-m-d H:i:s", $utolsofajl);
} else {
	$log .= "rendben.";
}

exec("echo '{$log}' >> ../public/log_fizetesek_excel.txt");
